Run build - Create a tag

Run build

post

Execute the build with a new tag image for the specified build.

Path parameters
buildSeqinteger · int32Required
Query parameters
tagNamestringOptional
descriptionstringOptional
callbackUrlstringOptional

callback URL

Responses
chevron-right
200

OK

*/*

Build execution model

useYnstringOptional

Usage status (Enabled: Y, Disabled: N)

Example: Y
createdstringOptional

creation time

Example: 2022-12-02 08:42:46
updatedstringOptional

update time

Example: 2022-12-02 08:42:46
buildNamestringOptionalExample: build-test
buildDescstringOptionalExample: build-test
registryNamestringOptionalExample: dev
imageNamestringOptionalExample: build-api-test-gradle
accountSeqintegerOptional

Account number (system's account number)

Example: 1
registryProjectIdintegerOptionalExample: 27
externalRegistrySeqintegerOptionalExample: 0
buildServerHoststringOptional

Build server host (information about the server host where actual build steps are executed and images are generated)

Example: topic:build-20230623-ws-namespace-thingcluster
buildServerTlsVerifystringOptional

Whether TLS is used on the server where the actual build is executed (Enabled: Y, Disabled: N)

Example: N
buildServerCacrtstringOptional

TLS CA for the build execution server (CA value for TLS integration on the server where the actual build is executed)

buildServerClientCertstringOptional

Client certificate for the build execution server(Client certificate for TLS integration on the server where the actual build is executed.)

buildServerClientKeystringOptional

Client key for the build execution server.(Client key for TLS integration on the server where the actual build is executed.)

buildRunSeqintegerOptionalExample: 1
buildSeqintegerOptionalExample: 1
buildNointegerOptionalExample: 1
runTypestringOptional

Build run type('BUILD' or 'CANCEL' or 'REMOVE')

Example: BUILD
runDescstringOptional

Build run type

Example: Build run test
runStatestringOptional

build run state('CREATED' or 'RUNNING' or 'DONE' or 'ERROR')

Example: DONE
autotagUseYnstringOptional

Automatic tagging usage status (Enabled: Y, Disabled: N)

Example: N
autotagPrefixstringOptionalExample: test
autotagSeqTypestringOptional

autotag sequence number type('DATETIME' or 'SEQUENCE')

Example: DATETIME
tagNamestringOptional

Image tag name (tag name of the image to be built)

Example: 8u292-rmsoft
callbackUrlstringOptional

callback URL

Example: http://dashboard:3000/callback
imageUrlstringOptional

Image URL (URL of the image registered in the registry)

Example: dev.cocktailcloud.io/ops/build-api-test-gradle
imageSizeintegerOptional

Image size (bytes) (saved only if the build is successful)

Example: 133745493
imageDigeststringOptional

Image Digest(saved only if the build is successful)

Example: sha256:30c1930cbee0c55a2ab23708866b8b9c6f555b17382df716d1e675eefbf5083b
pipelineSeqintegerOptionalExample: 0
beginTimestringOptional

begintime(format : data-time)

Example: 2022-12-02T08:42:43.000+00:00
endTimestring · date-timeOptional

endtime(format : data-time)

Example: 2022-12-02T08:43:40.000+00:00
runTimeBySecintegerOptional

runtime(unit : seconds)(endTime - beginTime)

Example: 57
possibleActionsstring[]Optional

List of possible actions('VIEW', 'BUILD', 'LOG', 'REMOVE', 'CANCEL')

Example: ["VIEW","BUILD","LOG","REMOVE"]
post
/v1/build/run/{buildSeq}
200

OK